//package com.mayi.demo.page
//
//import android.text.TextUtils
//
//import com.alibaba.fastjson.JSON
//import com.mayi.fastdevelop.comnon.Key
//import com.mayi.fastdevelop.util.SpUtil
//
//object UserManager {
//
//    private var userInfo: UserInfo? = null
//
//    /**
//     * 获取本地的用户信息
//     *
//     * @return 用户信息
//     */
//    fun getUserInfo(): UserInfo? {
//        if (userInfo == null) {
//            synchronized(UserManager::class.java) {
//                if (userInfo == null) {
//                    val s = SpUtil.get(Key.USER_INFO, "")
//                    if (!TextUtils.isEmpty(s)) {
//                        userInfo = JSON.parseObject(s, UserInfo::class.java)
//                    }
//                }
//            }
//        }
//        return userInfo
//    }
//
//    /**
//     * 设置用户信息
//     *
//     * @param json
//     */
//    fun setUserInfo(json: String) {
//        if (!TextUtils.isEmpty(json)) {
//            synchronized(UserManager::class.java) {
//                SpUtil.set(Key.USER_INFO, json)
//                userInfo = JSON.parseObject(json, UserInfo::class.java)
//            }
//        }
//    }
//
//    /**
//     * 设置用户信息
//     *
//     * @param userInfo
//     */
//    fun setUserInfo(userInfo: UserInfo?) {
//        if (userInfo != null) {
//            synchronized(UserManager::class.java) {
//                SpUtil.set(Key.USER_INFO, JSON.toJSONString(userInfo))
//                UserManager.userInfo = userInfo
//            }
//        }
//    }
//
//    /**
//     * 清除用户信息
//     */
//    fun clearUserInfo() {
//        synchronized(UserManager::class.java) {
//            SpUtil.set(Key.USER_INFO, null)
//            userInfo = null
//        }
//    }
//}
